View Issue Details

IDProjectCategoryView StatusLast Update
0017411mantisbtchange logpublic2014-12-08 00:34
ReportervboctorAssigned Tovboctor 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version1.2.17 
Target Version1.3.0-beta.1Fixed in Version1.3.0-beta.1 
Summary0017411: Empty change log is confusing
Description

When the change log is empty, the users are not really clear about what it is for, how to use it, or how to get issues to show up there. In such case, it would be helpful to show a message that explains this.

Tagsmantishub

Relationships

related to 0010793 closedvboctor Show Roadmap and changelog only if one of version exists 
related to 0017412 closedvboctor Empty roadmap is confusing 

Activities

vboctor

vboctor

2014-06-08 17:54

manager   ~0040770

Here is the pull request:
https://github.com/mantisbt/mantisbt/pull/207

Related Changesets

MantisBT: master 3a4ae91e

2014-06-30 01:17:07

mantishub

Details Diff
Fixes 0017411, 0017412 for empty changelog/roadmap

This change provides the user with a message that explains why the change log or roadmap pages are empty.

- Changelog message wasn't explaining what is going on.
- Changelog message wasn't showing when there were no issues, only when there were no projects.
- Changelog message formatting was using page title style.
- Roadmap had no messages.
- Roadmap had a variable to check usage that wasn't being used.

Now we show a different message based on whether the user is manager (hence can create versions)
or a regular user.

Conflicts:
changelog_page.php
mod - changelog_page.php Diff File
mod - lang/strings_english.txt Diff File
mod - roadmap_page.php Diff File

Issue History

Date Modified Username Field Change
2014-06-04 03:50 vboctor New Issue
2014-06-04 03:51 vboctor Relationship added related to 0017412
2014-06-04 15:08 atrol Relationship added related to 0010793
2014-06-05 01:52 vboctor Tag Attached: mantishub
2014-06-08 17:54 vboctor Assigned To => vboctor
2014-06-08 17:54 vboctor Status new => assigned
2014-06-08 17:54 vboctor Note Added: 0040770
2014-06-30 01:18 mantishub Changeset attached => MantisBT master 3a4ae91e
2014-06-30 01:18 mantishub Assigned To vboctor => mantishub
2014-06-30 01:18 mantishub Status assigned => resolved
2014-06-30 01:18 mantishub Resolution open => fixed
2014-06-30 01:18 mantishub Fixed in Version => 1.3.0-beta.1
2014-07-11 12:04 atrol Assigned To mantishub =>
2014-07-11 12:04 atrol Target Version => 1.3.0-beta.1
2014-07-14 05:54 dregad Assigned To => vboctor
2014-12-08 00:34 vboctor Status resolved => closed